mwCipher Struct Reference

A cipher. More...

`#include <mw_cipher.h>`

## Data Fields

struct mwEncryptItem *(* | accept )(struct mwCipherInstance *ci)
void(* | accepted )(struct mwCipherInstance *ci, struct mwEncryptItem *item)
void(* | clear )(struct mwCipher *c)
| prepare this cipher for being free'd
void(* | clear_instance )(struct mwCipherInstance *ci)
| clean up a cipher instance before being free'd
mwCipherProcessor | decrypt
mwCipherProcessor | encrypt
const char *(* | get_desc )(void)
const char *(* | get_name )(void)
mwCipherInstantiator | new_instance
| Generate a new Cipher Instance for use on a channel.
struct mwEncryptItem *(* | offer )(struct mwCipherInstance *ci)
void(* | offered )(struct mwCipherInstance *ci, struct mwEncryptItem *item)
struct mwSession * | session
| service this cipher is providing for
guint16 | type

## Detailed Description

A cipher.

Ciphers are primarily used to provide cipher instances for bi-directional encryption on channels, but some may be used for other activities. Expand upon this structure to create a custom encryption provider.

See also
  mwCipherInstance

## Field Documentation

## accept

struct mwEncryptItem *(* mwCipher::accept) (struct mwCipherInstance *ci)

## accepted

void(* mwCipher::accepted) (struct mwCipherInstance *ci, struct mwEncryptItem *item)

## clear

void(* mwCipher::clear) (struct mwCipher *c)

prepare this cipher for being free'd

See also
  mwCipher_free

## clear_instance

void(* mwCipher::clear_instance) (struct mwCipherInstance *ci)

clean up a cipher instance before being free'd

See also
  mwCipherInstance_free

## decrypt

mwCipherProcessor mwCipher::decrypt

See also
  mwCipherInstance_decrypt

## encrypt

mwCipherProcessor mwCipher::encrypt

See also
  mwCipherInstance_encrypt

## get_desc

const char *(* mwCipher::get_desc) (void)

See also
  mwCipher_getDesc

## get_name

const char *(* mwCipher::get_name) (void)

See also
  mwCipher_getName

## new_instance

mwCipherInstantiator mwCipher::new_instance

Generate a new Cipher Instance for use on a channel.

See also
  mwCipher_newInstance

## offer

struct mwEncryptItem *(* mwCipher::offer) (struct mwCipherInstance *ci)

## offered

void(* mwCipher::offered) (struct mwCipherInstance *ci, struct mwEncryptItem *item)

## session

struct mwSession* mwCipher::session

service this cipher is providing for

See also
  mwCipher_getSession

## type

guint16 mwCipher::type

See also
  mwCipher_getType

The documentation for this struct was generated from the following file:

- mw_cipher.h